Description

When playing some psf2 files, audacious hangs (consume 100% CPU).

For example, try to play FinalFantasy X's 102 In Zanarkand.minipsf2, audacious hangs.

The file can be played successfully on Winamp with Highly Experimental plugin.

I'll post the log with below DEBUG macros enabled (some code in DEBUG_THREADING cause build error, they are commented)

#define DEBUG_SPU2    (1)        // debug PS2 SPU read/write

#define DEBUG_HLE_IOP    (1)        // debug PS2 IOP OS calls

#define DEBUG_UNK_RW    (1)        // debug unknown reads/writes

#define DEBUG_THREADING (1)        // debug PS2 IOP threading

History

#1 - July 30, 2012 05:46 - John Lindgren

Any chance you could provide a patch?

#2 - July 30, 2012 06:56 - Lei YU

John Lindgren wrote:

Any chance you could provide a patch?

 

Sorry, I have no idea how to fix this issue.

Currently my workaround is to let the playback fail if it's in "IOP 'null' state", so that it returns and stop the playback.

See https://github.com/mine260309/android-sexypsf-player/commit/3c3524035ef1da24555c6d4ea6e963ca4f06a1cd

Is it able to contact the author of psf2 plugin for help?(it looks like it's originated from Audio Overload?)

#3 - July 30, 2012 10:46 - Ariadne Conill

The rip CaitSith2 did for FF10 is well, broken...  has invalid opcodes for the IOP.  Doesn't even work on an actual PS2.

I redid the rip, you can find those files here: http://tortois.es/~nenolod/ffx.tbz2 - these have a different patch for the replayer which does work on an

actual PS2 and also on the audacious PSF2 plugin.
https://github.com/mine260309/android-sexypsf-player/commit/3c3524035ef1da24555c6d4ea6e963ca4f06a1cd
http://tortois.es/~nenolod/ffx.tbz2


#4 - July 30, 2012 16:28 - Lei YU

Wow, great, I have downloaded your rip and it works like a charm :)

However, the rip CaitSith2 did works good on Highly Experimental on Winamp, any idea why and how to do that?

And another issue with some songs, e.g. FFXII's "105 - Boss Battle.psf2" and "110 - Penelo's Theme.psf2", Audacious only produces a simple loop

sound like it's in forever loop, any idea what's wrong?

Thanks a lot!!

#5 - August 03, 2012 01:27 - Ariadne Conill

HE's CPU emulation accepts opcodes that are valid both on the IOP processor of the PS2 and the R3000A of the PS1.  The MAME-based CPU

implementation is broken in other ways.

I do happen to have the code to HE, but it is under terms that make it undistributable in source form.  So I'm weary of doing that.

#6 - August 03, 2012 03:43 - Lei YU

William Pitcock wrote:

HE's CPU emulation accepts opcodes that are valid both on the IOP processor of the PS2 and the R3000A of the PS1.  The MAME-based CPU

implementation is broken in other ways.

I do happen to have the code to HE, but it is under terms that make it undistributable in source form.  So I'm weary of doing that.

 

Thanks a lot for the explanation!

#7 - August 11, 2012 20:29 - John Lindgren

- Status changed from New to Rejected

So, not a bug, I guess.
